summaryrefslogtreecommitdiff
path: root/eclass
diff options
context:
space:
mode:
authorJoshua Nichols <nichoj@gentoo.org>2006-01-19 03:47:55 +0000
committerJoshua Nichols <nichoj@gentoo.org>2006-01-19 03:47:55 +0000
commit50ab9d43d00e9bd05e40583317236879449e2fb3 (patch)
tree5df451cd037f3562b2ea7d3fa04df1f23533d634 /eclass
parentAdd all but the last two modular X licenses. (diff)
downloadhistorical-50ab9d43d00e9bd05e40583317236879449e2fb3.tar.gz
historical-50ab9d43d00e9bd05e40583317236879449e2fb3.tar.bz2
historical-50ab9d43d00e9bd05e40583317236879449e2fb3.zip
Made fix-i386-libdir make a symlink back to i386.
Diffstat (limited to 'eclass')
-rw-r--r--eclass/java.eclass10
1 files changed, 6 insertions, 4 deletions
diff --git a/eclass/java.eclass b/eclass/java.eclass
index a8f542b992c4..977cdaeca0b5 100644
--- a/eclass/java.eclass
+++ b/eclass/java.eclass
@@ -1,6 +1,6 @@
# Copyright 1999-2004 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/eclass/java.eclass,v 1.26 2006/01/19 03:29:31 nichoj Exp $
+# $Header: /var/cvsroot/gentoo-x86/eclass/java.eclass,v 1.27 2006/01/19 03:47:55 nichoj Exp $
#
# Author: Karl Trygve Kalleberg <karltk@gentoo.org>
@@ -129,10 +129,12 @@ fix-i386-dir() {
host=${host%%-*}
if [[ ${host} != i386 ]]; then
- local orig_dir="${D}/${libdir}/i386"
- local new_dir="${D}/${libdir}/${host}"
- mv ${orig_dir} ${new_dir} ||
+ local orig_dir="${libdir}/i386"
+ local new_dir="${libdir}/${host}"
+ mv ${D}/${orig_dir} ${D}/${new_dir} ||
die "Failed to move ${orig_dir} to ${new_dir}"
+ dosym ${host} ${orig_dir} || die "Failed to dosym"
+
sed -i -e "s/i386/${host}/g" \
${D}/etc/env.d/java/20${VMHANDLE} || die "Failed to sed"